Create Binder Template
Create a new binder template in your Vault.
POST
/api/{version}/objects/binders/templatesHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body ParametersWhen creating binder templates, the following fields are required in all Vaults:
| Name | Description |
|---|---|
name__voptional | The name of the new binder template. If not included, Vault will use the specified label__v value to generate a value for the name__v field. |
label__vrequired | The label of the new binder template. This is the name users will see among the available binder templates in the UI. |
type__vrequired | The name of the document type to which the template will be associated. |
subtype__voptional | The name of the document subtype to which the template will be associated. This is only required if associating the template with a document subtype. |
classification__voptional | The name of the document classification to which the template will be associated. This is only required if associating the template with a document classification. |
active__vrequired | Set to true or false to indicate whether or not the new binder template should be set to active, i.e., available for selection when creating a binder. |
In this example:
- The input format is set to
application/x-www-form-urlencoded. - The response format is not set and will default to JSON.
- The
name__vfield is not included. Vault will use the specifiedlabel__vfield value to create thename__v=claim_binder_template__c. - The
label__vfield specifies the binder template label "Claim Binder Template". This is what users will see among the available templates in the UI. - The document
type__vis specified. This template is being created for binders oftype__v=claim__c. Since this exists at the document type level, the subtype and classification are not required. - The template is being set to
active__v=true. It will be available for selection when creating a new binder.
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "label__v=Claim Binder Template" \
-d "type__v=claim__c" \
-d "active__v=true" \
https://myvault.veevavault.com/api/v25.2/objects/binders/templatesResponse
Section link for Response{
"responseStatus":"SUCCESS",
"data":[
{
"responseStatus":"SUCCESS",
"name__v":"claim_binder_template__c"
}
]
}Response Details
Section link for Response DetailsOn SUCCESS, Vault returns the name of the new binder template.